public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/tables/
Date: Sat,  7 Oct 2023 04:43:08 +0000 (UTC)	[thread overview]
Message-ID: <1696653776.cb8885f8a99938694a85abaa758bb1ad603e193d.mgorny@gentoo> (raw)

commit:     cb8885f8a99938694a85abaa758bb1ad603e193d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  7 03:48:44 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Oct  7 04:42:56 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb8885f8

dev-python/tables: Bump to 3.9.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/tables/Manifest            |  1 +
 dev-python/tables/tables-3.9.1.ebuild | 73 +++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-python/tables/Manifest b/dev-python/tables/Manifest
index aadcf6e8c633..dafda33394d5 100644
--- a/dev-python/tables/Manifest
+++ b/dev-python/tables/Manifest
@@ -1,2 +1,3 @@
 DIST tables-3.8.0.tar.gz 8014052 BLAKE2B 28d120ad609ebc9ae8cd97286bb3fb9c484bd8a179edcf0de1b96e4400b7a21b4db835d94fae3aaee84924bd46b84b84da12c538b39517362d805651e7aa3aef SHA512 1616c00787a2e88ff3dc2aebe3a1b2ad428b5a8ea48fc94058b49c509f1c040b540b3f62551b16b3246d2fed58e0b33443cbdaaf1dfcba5a6eead5f3e8028029
 DIST tables-3.9.0.tar.gz 4682294 BLAKE2B a4ff5a67c0376e90ca4f1f405878ead3bbb807b2fc972ba17a1026782adb473a26e15561ba13fb3c477defe3157ead20cf672d7150735fd5555821d1091d9b3f SHA512 2f7e14af6a1759c16a3d79c6b26276aed49ddfcb60f8e157646f0e59f1b9abc405961dab48b55ddfaf046e69b39552a2d003d5ff7734edb195027f9cd6dab684
+DIST tables-3.9.1.tar.gz 4682299 BLAKE2B 0f873cbf82aea0651ced49d92416c5c3c1420dc527c8876a25c0631b1ee59d0b44c920780a9026674d217553d550e57b0ce87b1f6af81ac5bc27c32c161007cb SHA512 c3350a818f11674d15c87edeb9a5b32303d81d533a5473051b8ecb82780d7971fc106fa2e7df3a2bec333d19cead29ef80e2c9355f76a4a1297e44bf7a99ef76

diff --git a/dev-python/tables/tables-3.9.1.ebuild b/dev-python/tables/tables-3.9.1.ebuild
new file mode 100644
index 000000000000..ea12b00212a9
--- /dev/null
+++ b/dev-python/tables/tables-3.9.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 prefix pypi
+
+DESCRIPTION="Hierarchical datasets for Python"
+HOMEPAGE="
+	https://www.pytables.org/
+	https://github.com/PyTables/PyTables/
+	https://pypi.org/project/tables/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="+cpudetection examples test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	app-arch/bzip2:0=
+	app-arch/lz4:0=
+	>=app-arch/zstd-1.0.0:=
+	>=dev-libs/c-blosc-1.11.1:0=
+	dev-libs/c-blosc2:=
+	dev-libs/lzo:2=
+	>=dev-python/numpy-1.19.0[${PYTHON_USEDEP}]
+	>=sci-libs/hdf5-1.8.4:=
+"
+RDEPEND="
+	${DEPEND}
+	>=dev-python/numexpr-2.6.2[${PYTHON_USEDEP}]
+	dev-python/packaging[${PYTHON_USEDEP}]
+	cpudetection? ( dev-python/py-cpuinfo[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+	>=dev-python/cython-0.21[${PYTHON_USEDEP}]
+	virtual/pkgconfig
+	cpudetection? ( dev-python/py-cpuinfo[${PYTHON_USEDEP}] )
+	test? (
+		${RDEPEND}
+	)
+"
+
+python_prepare_all() {
+	export PYTABLES_NO_EMBEDDED_LIBS=1
+	export USE_PKGCONFIG=TRUE
+
+	rm -r c-blosc/{blosc,internal-complibs} || die
+	sed -i -e '/blosc2/d' requirements.txt || die
+	hprefixify -w '/prefixes =/' setup.py
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+	"${EPYTHON}" tables/tests/test_all.py -v || die
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+
+	if use examples; then
+		dodoc -r contrib examples
+		docompress -x /usr/share/doc/${PF}/{contrib,examples}
+	fi
+}


             reply	other threads:[~2023-10-07  4:43 UTC|newest]

Thread overview: 41+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-10-07  4:43 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-25 11:44 [gentoo-commits] repo/gentoo:master commit in: dev-python/tables/ Michał Górny
2025-01-25 11:18 Arthur Zamarin
2025-01-25 10:42 Arthur Zamarin
2025-01-25  9:21 Arthur Zamarin
2025-01-25  9:20 Arthur Zamarin
2025-01-05  2:55 Michał Górny
2024-09-21 17:43 Arthur Zamarin
2024-09-07 14:16 Arthur Zamarin
2024-09-07 12:31 Jakov Smolić
2024-09-07 12:31 Jakov Smolić
2024-09-07 12:31 Jakov Smolić
2024-08-17 16:55 Michał Górny
2024-07-27 10:06 Michał Górny
2024-07-27  9:17 Arthur Zamarin
2024-07-27  9:09 Arthur Zamarin
2024-07-27  9:08 Arthur Zamarin
2024-07-27  8:24 Arthur Zamarin
2024-07-27  7:49 Arthur Zamarin
2024-06-07 18:16 Michał Górny
2024-06-05 16:16 Michał Górny
2024-04-27  9:06 Arthur Zamarin
2024-04-11 11:48 Michał Górny
2024-01-27 11:10 Andrew Ammerlaan
2024-01-17  7:41 Michał Górny
2024-01-17  7:41 Michał Górny
2024-01-04 11:29 WANG Xuerui
2023-12-15 17:23 Arthur Zamarin
2023-12-15 17:19 Arthur Zamarin
2023-12-15 17:19 Arthur Zamarin
2023-12-15 17:14 Arthur Zamarin
2023-11-28  5:26 Michał Górny
2023-11-07 20:20 Michał Górny
2023-11-05 20:07 Sam James
2023-11-05 20:07 Sam James
2023-11-05 20:07 Sam James
2023-11-05 19:20 Arthur Zamarin
2023-11-05 19:18 Arthur Zamarin
2023-10-24 21:11 Michał Górny
2023-10-07 15:53 Michał Górny
2023-10-05 14:59 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1696653776.cb8885f8a99938694a85abaa758bb1ad603e193d.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox